Skip to main content
PATCH
/
views
/
:viewId
cURL
curl --request PATCH \
  --url https://api.example.com/views/:viewId \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "entityTypeDefId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isDefault": true,
  "variableDefIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "entityTypeDefId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isDefault": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "variableDefs": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>"
      }
    ]
  }
}

Path Parameters

viewId
string<uuid>
required
Minimum string length: 1

Body

application/json
title
string
Minimum string length: 1
entityTypeDefId
string<uuid> | null
Minimum string length: 1
isDefault
boolean
variableDefIds
string<uuid>[]
Minimum string length: 1

Response

OK

data
object
required